Subject: auditing when everything is in th NULL context

From: Shlomo Kabaz ECItelecom <[email-masked]>
Date: Thu, 5 Oct 2000 16:00:10 +0300

Hi , all  .
I  wonder , when all terminations are in the NULL context what should be
replied in the localControlDescriptor in the
StreamMode , is it just not present in this descriptor ?
Secondly , i wonder what are the properties that are replied in the local
control descriptor ?

regards , Shlomo .

---

From: Tom-PT Taylor <[email-masked]>
Date: Mon, 23 Oct 2000 10:31:28 -0400

I'll point out that section 7.1.6 says that "Streams are created by
specifying a new StreamID on one of the terminations in a Context."  One way
of reconciling this with the possibility of provisioned values for
LocalControl is to think of provisioning as providing default values which
get implemented (unless overridden) when a stream is instantiated.

Of course, this doesn't say what happens to streams when a termination is
returned to the NULL context.  But one clue is the other point made in
7.1.6: streamIDs are of local significance to a context.  To me this
requires that streams disappear when the termination is SUBTRACTed.

> -----Original Message-----
> From: Christian Groves [mailto:[email-masked]]
> Sent: Wednesday, October 11, 2000 10:22 PM
> To: [email-masked]
> Subject: Re: auditing when everything is in th NULL context
>
>
> G'Day Brian,
>
> I think its a mix of your first possibility and provisioning.
> Typically
> the first actions will create the stream unless it is previously
> provisioned on the MG.
>
> Cheers, Christian
>
> Cheers, Christian
>
> "Rosen, Brian" wrote:
> >
> > Hmmm, excellent question.  The root of the question is, "are there
> > any streams active for a termination in Null Context?"  There is a
> > somewhat wider question which is "do streams have to be explicitly
> > created before any stream-dependent properties/events/signals can
> > be audited?"  The latter leads to the question "when is a stream
> > created?"
> >
> > I just posted an answer to a list question that used an example of
> > applying a signal (dialtone) to a termination which was in the
> > null context.  If that is legal, then streams CAN be active on
> > a termination in the null context.  We get back to when is the
> > stream created?  I don't recall any discussion on this point.
> >
> > I think there are two possibilities:
> >         The first action that creates media (be it a
> Media/Local/Remote
> >                 descriptor, or a signal, creates a media stream, and
> >                 a Subtract, or a properly constructed
> Media/Local/Remote
> >                 descriptor deletes streams.  This implies that there
> >                 are no streams active on a termination in
> null context
> >                 after boot, or after a subtract, but you
> create one by
> >                 putting media on the termination.
> >         There is always a default StreamId=1 stream, others
> are created
> >                 by a Media descriptor, and deleted by a
> Media Descriptor
> >                 or Subtract.
> >
> > I'd favor the former, but don't think there is very much practical
> > difference except the exact question you asked.  If there
> are no streams
> > at some times then if you audited, you would never get a
> LocalControl,
> > nor a StreamMode when there was not a stream, and you would
> when there
> > was.  If there are always streams with StreamId=1, then you do get
> > StreamMode, and you also get a LocalControl descriptor.
> >
> > The second question you ask is easier to answer.  If there are any
> > properties defined in LocalControl for packages implemented on a
> > termination, then those values are returned in LocalControl
> for active
> > streams.  "Active" is the issue, as discussed above.
> >
> > Need more opinions I think.  Maybe this was settled, and I just
> > don't remember how.
> >
> > Brian
>